<?php
/**
 * Jetpack Compatibility File.
 *
 * See: https://jetpack.com/support/infinite-scroll/
 * See: https://jetpack.com/support/responsive-videos/
 *
 * @package VT Blogging Pro
 */

function vt_blogging_pro_jetpack_setup() {
	// Add theme support for Infinite Scroll.
	add_theme_support( 'infinite-scroll', array(
		'container' => 'recent-content',
		'render'    => 'vt_blogging_pro_infinite_scroll_render',
		'posts_per_page' => get_option( 'posts_per_page' ),
	) );

	// Add theme support for Responsive Videos.
	add_theme_support( 'jetpack-responsive-videos' );
}
add_action( 'after_setup_theme', 'vt_blogging_pro_jetpack_setup' );

/**
 * Custom render function for Infinite Scroll.
 */
function vt_blogging_pro_infinite_scroll_render() {
	while ( have_posts() ) {
		the_post();
		if ( is_search() ) :
			get_template_part( 'template-parts/content', 'search' );
		else :
			get_template_part( 'template-parts/content-loop', get_post_format() );
		endif;
	}
}