<?php
/**
 * The template for displaying Search Results pages.
 *
 * @package VT Blogging Pro
 */

get_header(); ?>

	<div id="primary" class="<?php vt_blogging_pro_container_class(); ?>">

		<main id="main" class="site-main clear">

			<div class="section-header clear">
				<h1>
					<?php echo wp_kses_post( get_theme_mod( 'search-results', __( 'Search Results for %s', 'vt-blogging-pro' ) ) ); ?> <?php echo get_search_query(); ?>
				</h1>	
			</div><!-- .section-header -->
			
			<div id="recent-content" class="content-loop">

				<?php

				if ( have_posts() ) :	
							
				/* Start the Loop */
				while ( have_posts() ) : the_post();

					/*
					 * Include the Post-Format-specific template for the content.
					 * If you want to override this in a child theme, then include a file
					 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
					 */

					get_template_part( 'template-parts/content', 'search' );

					endwhile;

					else :

						get_template_part( 'template-parts/content', 'none' );

					?>

				<?php endif; ?>

			</div>

		</main><!-- .site-main -->

		<?php get_template_part( 'template-parts/pagination', '' ); ?>

	</div><!-- #primary -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>