<?php
/**
 * Template part for displaying page content in page.php.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package VT Blogging Pro
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<?php the_title( '<h1 class="page-title">', '</h1>' ); ?>
	</header><!-- .entry-header -->

	<div class="entry-content">
	
		<?php if ( has_post_thumbnail() ) : 
			$thumb_id = get_post_thumbnail_id();
			$image_url = vt_blogging_pro_resize_image( $thumb_id, null, 680, 453, true, true );
			$image_url = $image_url['url'];
			$image1_alt = get_post_meta( $thumb_id, '_wp_attachment_image_alt', true );
		?>
			<div class="post-thumbnail">
				<img src="<?php echo esc_url($image_url); ?>" alt="<?php echo $image1_alt; ?>" />
				<span class="vt-format-icon"></span>
			</div>
		<?php endif; ?>
		
		<?php
			the_content();

			wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'vt-blogging-pro' ),
				'after'  => '</div>',
			) );
		?>
	</div><!-- .entry-content -->

	<?php if ( get_edit_post_link() ) :
		
			edit_post_link(
				sprintf(
					/* translators: %s: Name of current post */
					esc_html__( 'Edit %s', 'vt-blogging-pro' ),
					the_title( '<span class="screen-reader-text">"', '"</span>', false )
				),
				'<span class="edit-link">',
				'</span>'
			);
		
		endif;
		?>
	
</article><!-- #post-## -->
